"Change Set:		7634MorphicExtras-eem.43

MorphicExtras-eem.43:
Speedup CommandHistory class>>resetAllHistory effectively by using MorphExtension allInstances instead of allObjectsDo:.  Shaves a few tenths of a second from start-up time of a typical image.

"!
!CommandHistory class methodsFor: 'system startup' stamp: 'eem 8/21/2009 15:58'!
forgetAllGrabCommandsFrom: starterInstance
	"Forget all the commands that might be held on to in the properties dicitonary of various morphs for various reasons."

	| object |
	object := starterInstance.
	[
		[nil == object] whileFalse: [
			object removeProperty: #undoGrabCommand.
			object := object nextInstance].
		] ifError: [:err :rcvr | "object is obsolete"
			self forgetAllGrabCommandsFrom: object nextInstance].

	"CommandHistory forgetAllGrabCommandsFrom: MorphExtension someInstance"
! !

!CommandHistory class methodsFor: 'system startup' stamp: 'eem 8/21/2009 15:57'!
resetAllHistory
	"Reset all command histories, and make all morphs that might be holding on to undo-grab-commands forget them"

	self allInstancesDo: [:c | c resetCommandHistory].
	MorphExtension withAllSubclassesDo:
		[:mexc|
		self forgetAllGrabCommandsFrom: mexc someInstance]

	"CommandHistory resetAllHistory"
! !

