"Change Set:		7724GraphicsTests-ar.14

GraphicsTests-ar.14:
http://bugs.squeak.org/view.php?id=6936

#asHTMLColor is inaccurate for certain values.

Attached fix resolves that, also gives 10x speed-up. 

"!
!ColorTest methodsFor: 'testing' stamp: 'dg 2/19/2008 12:43'!
testFromString
	self assert: ((Color fromString: '#FF8800') asHTMLColor sameAs: '#ff8800').! !

!ColorTest methodsFor: 'testing' stamp: 'dg 2/19/2008 13:19'!
testAsHTMLColor

	| table aColorString |
	table := #('0' '1' '2' '3' '4' '5' '6' '7' '8' '9' 'A' 'B' 'C' 'D' 'E' 'F').

	table do: [ :each |
		aColorString := '#', each, each, '0000'.
		self assert: ((Color fromString: aColorString) asHTMLColor sameAs: aColorString)].

	table do: [ :each |
		aColorString := '#', '00', each, each, '00'.
		self assert: ((Color fromString: aColorString) asHTMLColor sameAs: aColorString)].

	table do: [ :each |
		aColorString := '#', '0000', each, each.
		self assert: ((Color fromString: aColorString) asHTMLColor sameAs: aColorString)].

	table do: [ :each |
		aColorString := '#', each, each, each, each, each, each.
		self assert: ((Color fromString: aColorString) asHTMLColor sameAs: aColorString)].! !

!ColorTest methodsFor: 'testing' stamp: 'dg 2/19/2008 12:43'!
testColorFrom
	self assert: ((Color colorFrom: #white) asHTMLColor sameAs: '#ffffff').
	self assert: ((Color colorFrom: #(1.0 0.5 0.0)) asHTMLColor sameAs: '#ff8000').
	self assert: ((Color colorFrom: (Color white)) asHTMLColor sameAs: '#ffffff').
	self assert: ((Color colorFrom: '#FF8800') asHTMLColor sameAs: '#ff8800').
	self assert: ((Color colorFrom: '#222222') asHTMLColor sameAs: '#222222').! !

