"Change Set:		7738ST80-ar.51

ST80-ar.51:
http://bugs.squeak.org/view.php?id=7321

Change Set:		M7321_cleanup_offList_senders-nice
Date:			19 April 2009
Author:			nice

#offList is OBSOLETED by AtomicProcessSuspend.1.cs 
Senders of #offList must be cleaned up

"!
!ControlManager methodsFor: 'scheduling' stamp: 'nice 4/19/2009 18:01'!
interruptName: labelString preemptedProcess: theInterruptedProcess
	"Create a Notifier on the active scheduling process with the given label. Make the Notifier the active controller."
	| suspendingList newActiveController preemptedProcess |

	preemptedProcess := theInterruptedProcess ifNil: [Processor preemptedProcess].
	preemptedProcess suspend.

	(suspendingList := activeControllerProcess suspendingList) == nil
		ifTrue: [activeControllerProcess == Processor activeProcess
					ifTrue: [activeControllerProcess suspend]]
		ifFalse: [suspendingList remove: activeControllerProcess ifAbsent:[].
				activeControllerProcess offList].

	activeController ~~ nil ifTrue: [
		"Carefully de-emphasis the current window."
		activeController view topView deEmphasizeForDebugger].

	newActiveController :=
		(Debugger
			openInterrupt: labelString
			onProcess: preemptedProcess) controller.
	newActiveController centerCursorInView.
	self activeController: newActiveController.
! !

