"Change Set:		7850Universes-tfel.41

Universes-tfel.41:
Url>>toText is deprecated. It is used all over the place here and the result is expected to be a String (as the toText method returned), so don't switch to asText here, as recommended in the deprecation warning, but use asString

"!
!UPackage methodsFor: '*universes-messages' stamp: 'tfel 9/16/2009 00:21'!
stringArrayEncoding
	^Array streamContents: [ :str |
		str
			nextPut: self name;
			nextPut: self version printString;
			nextPut: self description;
			nextPut: (self url ifNil: [ '(no download url)' ] ifNotNil: [ self url asString ]);
			nextPut: (self homepage ifNil: [ '' ] ifNotNil: [ self homepage asString ]);
			nextPut: self maintainer;
			nextPut: self provides size printString;
			nextPutAll: self provides;
			nextPut: self depends size printString;
			nextPutAll: self depends;
			nextPut: 0 printString;  "legacy conflicts field"
			nextPut: self category printString;
			nextPut: (self squeakMapID ifNil: [''] ifNotNil: [self squeakMapID asString])].! !

!UPackage methodsFor: 'comparing' stamp: 'tfel 9/16/2009 00:20'!
= anotherPackage
	self hash = anotherPackage hash ifFalse: [ ^false ].

	self name = anotherPackage name ifFalse: [ ^false ].
	self version = anotherPackage version ifFalse: [ ^false ].
	self category = anotherPackage category ifFalse: [ ^false ].
	self depends = anotherPackage depends ifFalse: [ ^false ].
	self provides = anotherPackage provides ifFalse: [ ^false ].
	self squeakMapID = anotherPackage squeakMapID ifFalse: [ ^false ].
	self url asString = anotherPackage url asString ifFalse: [ ^false ].
	self maintainer = anotherPackage maintainer ifFalse: [ ^false ].
	self homepage isNil = anotherPackage homepage isNil ifFalse: [ ^false ].
	(self homepage isNil or: [ 
		self homepage asString = anotherPackage homepage asString]) ifFalse: [ ^false ].

	self description = anotherPackage description ifFalse:[ ^false ].

	^true
! !

!UPackageEditor methodsFor: 'accessors' stamp: 'tfel 9/16/2009 00:22'!
homepageString
	^package homepage
		ifNil: [ '' ]
		ifNotNil: [ package homepage asString ]! !

!UPackageEditor methodsFor: 'accessors' stamp: 'tfel 9/16/2009 00:22'!
urlString
	^package url ifNotNil: [ package url asString ]! !

!UPackage methodsFor: 'serializing' stamp: 'tfel 9/16/2009 00:24'!
xmlForExport
	^String streamContents: [ :str |
		str
			nextPutAll: '<package>'; cr;
			nextPutAll: '<name>'; nextPutAll: self name escapeEntities; nextPutAll: '</name>'; cr;
			nextPutAll: '<version>'; nextPutAll:  self version printString escapeEntities; nextPutAll: '</version>'; cr;
			nextPutAll: '<category>'; print: self category; nextPutAll: '</category>'; cr;
			nextPutAll: '<description>'; nextPutAll: self description escapeEntities; nextPutAll: '</description>'; cr.
		self url ifNotNil: [
			str nextPutAll: '<url>'; nextPutAll: self url asString escapeEntities; nextPutAll: '</url>'; cr ].
		self homepage ifNotNil: [
			str nextPutAll: '<homepage>'; nextPutAll:  self homepage asString escapeEntities; nextPutAll: '</homepage>'; cr ].
		str nextPutAll: '<maintainer>'; nextPutAll: self maintainer escapeEntities; nextPutAll: '</maintainer>'; cr.
			
		str nextPutAll: '<provides>'.
		self printXMLPackageList: self provides on: str.
		str nextPutAll: '</provides>'.
		str nextPutAll: '<depends>'.
		self printXMLPackageList: self depends on: str.
		str nextPutAll: '</depends>'.
		squeakMapID ifNotNil: [
			str nextPutAll: '<squeakMapID>'.
			str nextPutAll: squeakMapID asString.
			str nextPutAll: '</squeakMapID>'.
			].

		str nextPutAll: '</package>'; cr. ]! !

