"Change Set:		7871Compiler-ul.86

Compiler-ul.86:
- new #scanFor: for LiteralDictionary too

Compiler-jcg.85:
Revert to lazy-initialization of method properties, which is used by the externally-maintained Prolog package (which loads cleanly into 3.10.2, but not trunk).

Part 1 of 2... need to first re-add the #properties method to Parser before changing methods to send it.

"!
!Parser methodsFor: 'pragmas' stamp: 'jcg 9/30/2009 00:19'!
properties
	^ properties ifNil: [ properties := AdditionalMethodState new ]! !

!LiteralDictionary methodsFor: 'as yet unclassified' stamp: 'ul 9/30/2009 14:22'!
scanFor: anObject
	"Scan the key array for the first slot containing either a nil (indicating an empty slot) or an element that matches anObject. Answer the index of that slot or raise an error if no slot is found. This method will be overridden in various subclasses that have different interpretations for matching elements."

	| index start |
	index := start := anObject hash \\ array size + 1.
	[ 
		| element |
		((element := array at: index) == nil or: [
			self literalEquality: element key and: anObject ])
				ifTrue: [ ^index ].
		(index := index \\ array size + 1) = start ] whileFalse.
	self errorNoFreeSpace! !

