"Change Set:		8055Morphic-ar.216

Morphic-ar.216:
Merging Morphic-bp.212, Morphic-bp.213:

Add 'implementors of' to the debug menu of MenuItemMorphs and PluggableButtonMorphs. This is useful if you want to find out how something is implemented.

Improve 'implementors of' for MenuItemMorphs and PluggableButtonMorphs by using allImplementorsOf:localTo:.

"!
!MenuItemMorph methodsFor: 'browse' stamp: 'bp 10/19/2009 22:22'!
realSelector
	selector == #perform:orSendTo: ifTrue: [^arguments first].
	^selector! !

!MenuItemMorph methodsFor: 'browse' stamp: 'bp 10/19/2009 22:54'!
buildDebugMenu: aHandMorph
	| aMenu |
	aMenu := super buildDebugMenu: aHandMorph.
	aMenu addLine.
	aMenu add: 'implementors of' translated target: self action: #browseAllImplementorsOfRealSelector.
	^ aMenu! !

!PluggableButtonMorph methodsFor: 'browse' stamp: 'bp 10/19/2009 23:05'!
browseAllImplementorsOfActionSelector
	SystemNavigation default browseAllImplementorsOf: actionSelector localTo: model class! !

!MenuItemMorph methodsFor: 'browse' stamp: 'bp 10/19/2009 23:03'!
browseAllImplementorsOfRealSelector
	SystemNavigation default browseAllImplementorsOf: self realSelector localTo: target class! !

!PluggableButtonMorph methodsFor: 'browse' stamp: 'bp 10/19/2009 22:53'!
buildDebugMenu: aHandMorph
	| aMenu |
	aMenu := super buildDebugMenu: aHandMorph.
	aMenu addLine.
	aMenu add: 'implementors of' translated target: self action: #browseAllImplementorsOfActionSelector.
	^ aMenu! !

