"Change Set:		8159Kernel-ul.297

Kernel-ul.297:
In MethodDictionary
- implemented #fixCollisionsFrom:
- removed #keyAt: (nobody sends it)
- removed super send from #swap:with: 

"!
!MethodDictionary methodsFor: 'private' stamp: 'ul 11/13/2009 13:46'!
swap: oneIndex with: otherIndex

	| element |
	element := self basicAt: oneIndex.
	self basicAt: oneIndex put: (self basicAt: otherIndex).
	self basicAt: otherIndex put: element.
	array swap: oneIndex with: otherIndex
! !

!MethodDictionary methodsFor: 'private' stamp: 'ul 11/13/2009 12:07'!
fixCollisionsFrom: start
	"The element at start has been removed and replaced by nil.
	This method moves forward from there, relocating any entries
	that had been placed below due to collisions with this one."

	| key index |
	index := start.
	[ (key := self basicAt: (index := index \\ array size + 1)) == nil ] whileFalse: [
		| newIndex |
		(newIndex := self scanFor: key) = index ifFalse: [
			self swap: index with: newIndex ] ]! !

MethodDictionary removeSelector: #keyAt:!
