"Change Set:		8495MorphicExtras-ar.62

MorphicExtras-ar.62:
Make flaps registration and unregistration a bit more robust in the case of non-existing flaps. Allows TextMorphTest to succeed.

"!
!Flaps class methodsFor: 'flaps registry' stamp: 'ar 12/15/2009 15:41'!
registeredFlapsQuadsAt: aLabel
	"Answer the list of dynamic flaps quads at aLabel"

	^ (self registeredFlapsQuads at: aLabel ifAbsent:[^#()])
		removeAllSuchThat: [:q | (self environment includesKey: q first) not or: [(self environment at: q first) isNil]]
! !

!Flaps class methodsFor: 'flaps registry' stamp: 'ar 12/15/2009 15:42'!
registerQuad: aQuad forFlapNamed: aLabel
	"If any previous registration of the same label string is already known, delete the old one."

	"aQuad received must be an array of the form {TargetObject. #command label  'A Help String'} 

Flaps registerQuad: #(FileList2 openMorphicViewInWorld	'Enhanced File List'	'A nicer File List.')
	forFlapNamed: 'Tools' "

	self unregisterQuad: aQuad forFlapNamed: aLabel.
	(self registeredFlapsQuads at: aLabel ifAbsent:[^self]) add: aQuad! !

