"Change Set:		8755PreferenceBrowser-ar.42

PreferenceBrowser-ar.42:
Guard unload operations of view registries. When unloading the entire package the unload can fail due to previously removed view registry.

"!
!PBNumericPreferenceView class methodsFor: 'class initialization' stamp: 'ar 1/2/2010 16:33'!
unload
	"Unload order is not guaranteed so guard against failure"
	[PreferenceViewRegistry ofNumericPreferences unregister: self] on: Error do:[].! !

!PBHaloThemePreferenceView class methodsFor: 'class initialization' stamp: 'ar 1/2/2010 16:33'!
unload
	"Unload order is not guaranteed so guard against failure"
	[PreferenceViewRegistry ofHaloThemePreferences unregister: self] on: Error do:[]! !

!PBColorPreferenceView class methodsFor: 'class initialization' stamp: 'ar 1/2/2010 16:33'!
unload
	"Unload order is not guaranteed so guard against failure"
	[PreferenceViewRegistry ofColorPreferences unregister: self] on: Error do:[]! !

!PBBooleanPreferenceView class methodsFor: 'class initialization' stamp: 'ar 1/2/2010 16:32'!
unload
	"Unload order is not guaranteed so guard against failure"
	[PreferenceViewRegistry ofBooleanPreferences unregister: self] on Error do:[].! !

!PBWindowColorPreferenceView class methodsFor: 'class initialization' stamp: 'ar 1/2/2010 16:34'!
unload
	"Unload order is not guaranteed so guard against failure"
	[self viewRegistry unregister: self] on: Error do:[]! !

!PBTextPreferenceView class methodsFor: 'class initialization' stamp: 'ar 1/2/2010 16:33'!
unload
	"Unload order is not guaranteed so guard against failure"
	[PreferenceViewRegistry ofTextPreferences unregister: self] on: Error do:[]! !

