"Change Set:		9255Protocols-cmm.22

Protocols-cmm.22:
Fix problem with trying to use the Protocol browser when Preferences #optionalButtons is not enabled.  The custom-buttons of a Protocol browser are not optional, because the functions they provide cannot be accessed via the menu's or hot-keys.

"!
!Lexicon methodsFor: 'toolbuilder' stamp: 'cmm 2/7/2010 16:32'!
buildCodePaneWith: builder
	| spec codePane customPanelSpec |
	spec := super buildCodePaneWith: builder.
	spec children
		detect: [:ea | ea isKindOf:  PluggablePanelSpec]
		ifNone: [ nil ]. "do nothing if optionalButtons not enabled"
	customPanelSpec := self buildCustomButtonsWith: builder.
	customPanelSpec frame:
		(self wantsOptionalButtons 
			ifTrue: [ (0@0.12 corner: 1@0.23) ]
			ifFalse: [ (0@0.0 corner: 1@0.23) ]).
	spec children add: customPanelSpec.
	"resize code pane so that new panel fits in"
	codePane := spec children detect: [:ea | ea isKindOf:  PluggableCodePaneSpec].
	codePane frame:  (codePane frame withTop: 0.24).
	^ spec.! !

