"Change Set:		9396SUnitGUI-klub.47

SUnitGUI-klub.47:
- bugfix: Make sure TestRunner >> #findClassesForCategories: returns a Set. This avoids a bug which happens when a class is selected multiple times, because #withAllSubclasses (and #allSubclasses) returns an OrderedCollection nowdays instead of a Set.

"!
!TestRunner methodsFor: 'utilities' stamp: 'klub 2/20/2010 15:24'!
findClassesForCategories: aCollection

	| items |
	aCollection isEmpty 
		ifTrue: [ ^ self baseClass withAllSubclasses asSet ].
	items := aCollection gather: [ :category |
		((Smalltalk organization listAtCategoryNamed: category)
			collect: [ :each | Smalltalk at: each ])
			select: [ :each | each includesBehavior: self baseClass ] ].
	^ items asSet.! !

