"Change Set:		9568Multilingual-nice.98

Multilingual-nice.98:
Remove hardcoded 255 leadingChar in Unicode value, now that Unicode leadingChar = 0.

Multilingual-nice.97:
Fix endOfRun and crossedX encodings in paragraph composition - Part 4 (clean-up)

"!
!MultiCharacterScanner class methodsFor: 'class initialization' stamp: 'nice 2/28/2010 19:17'!
initialize
"
	MultiCharacterScanner initialize
"
	| a |
	a := Array new: 256.
	a at: 1 + 1 put: #embeddedObject.
	a at: Tab asciiValue + 1 put: #tab.
	a at: CR asciiValue + 1 put: #cr.
	a at: Character lf asciiValue + 1 put: #cr.
	a := TextStopConditions new setStops: a.
	NilCondition := a copy.
	DefaultStopConditions := a copy.

	PaddedSpaceCondition := a copy.
	PaddedSpaceCondition at: Space asciiValue + 1 put: #paddedSpace.
	
	SpaceCondition := a copy.
	SpaceCondition at: Space asciiValue + 1 put: #space.
! !

!MultiCharacterScanner methodsFor: 'initialize' stamp: 'nice 2/28/2010 19:16'!
initializeStringMeasurer
	| stops |
	stops := Array new: 256.
	stopConditions := TextStopConditions new setStops: stops.
! !

!Unicode class methodsFor: 'instance creation' stamp: 'nice 2/28/2010 20:05'!
value: code

	| l |
	code < 256 ifTrue: [^ Character value: code].
	l := Locale currentPlatform languageEnvironment leadingChar.
	^ Character leadingChar: l code: code.
! !

MultiCharacterScanner initialize!
