"Change Set:		9686Monticello-ar.382

Monticello-ar.382:
Fix trait composition test in Monticello which could fail in some circumstances.

"!
!MCClassDefinition methodsFor: 'installing' stamp: 'ar 3/14/2010 00:25'!
createClass
	| superClass class composition |
	superClass := superclassName == #nil ifFalse:
					[Smalltalk at: superclassName].
	[class := (ClassBuilder new)
			name: name 
			inEnvironment: superClass environment 
			subclassOf: superClass
			type: type 
			instanceVariableNames: self instanceVariablesString 
			classVariableNames: self classVariablesString 
			poolDictionaries: self sharedPoolsString
			category: category.
	] on: Warning, DuplicateVariableError do:[:ex| ex resume].

	"The following is written to support traits unloading"
	composition := Compiler evaluate: (self traitComposition ifNil:['{}']).
	(composition isCollection and:[composition isEmpty and:[class traitComposition isEmpty]]) ifFalse:[
		class setTraitComposition: composition asTraitComposition.
	].

	composition := Compiler evaluate: (self classTraitComposition ifNil:['{}']).
	(composition isCollection and:[composition isEmpty and:[class class traitComposition isEmpty]]) ifFalse:[
		class class setTraitComposition: composition asTraitComposition.
	].

	^class! !

