"Change Set:		9714Tests-nice.62

Tests-nice.62:
Fix testReadIntoStartingAtCount

Tests-cmm.59:
Added FileStreamTest>>#testReadIntoStartingAtCount.

Tests-cmm.60:
Moved comments in testReadIntoStartingAtCount.

Tests-cmm.61:
Fixed testReadIntoStartingAtCount.

"!
!FileStreamTest methodsFor: 'as yet unclassified' stamp: 'nice 3/15/2010 20:37'!
testReadIntoStartingAtCount
	| filename file |
	filename := 'filestream.tst'.
	[ | writeBuffer readBuffer bytesRead |
	writeBuffer := (ByteArray new: 2500)
		 atAllPut: 1 ;
		 yourself.
	(StandardFileStream forceNewFileNamed: filename)
		 binary ;
		 nextPutAll: writeBuffer ;
		 close.
	file := StandardFileStream readOnlyFileNamed: filename.
	readBuffer := ByteArray new: 400.
	bytesRead := file
		readInto: readBuffer
		startingAt: 10
		count: 100.
	self assert: bytesRead = 100.
	"quick test"
	self assert: (readBuffer occurrencesOf: 1) = 100.
	"compare test"
	1 to: readBuffer size do:
		[ : n | self assert:
			(readBuffer at: n) = ((n between: 10 	and: 10 + 100 - 1)
				ifTrue: [ writeBuffer at: n ]
				ifFalse: [ 0 ]) ] ]
	ensure:
		[ file ifNotNil: [ file close ].
		FileDirectory default
			deleteFileNamed: filename
			ifAbsent: [ "ok" ] ]! !

