"Change Set:		9935Protocols-fbs.29

Protocols-fbs.29:
This commit adds the menu, 'only through...' and method home buttons back to the Lexicon. It's a minimal commit that neglects any attempt at cleanup: Lexicon>>buildCustomButtonsWith: could be deleted, for instance.

One weird thing happens to me: when I file in the changeset version of this commit. hitting Cmd-P blows up with an MNU. Recompiling Lexicon>>customButtonSpec (by, say, deleting and then readding a character) fixes the problem though!

"!
!Lexicon methodsFor: 'control buttons' stamp: 'fbs 4/13/2010 16:43'!
customButtonSpecs
	"Answer a triplet defining buttons, in the format:

			button label
			selector to send
			help message"
	| aa |
	aa := contentsSymbol == #tiles ifTrue: [{   "Consult Ted Kaehler regarding this bit"
	{'tiles'.				#tilesMenu.					'tiles for assignment and constants'. 	true}.
	{'vars'.				#varTilesMenu.	'tiles for instance variables and a new temporary'. 	true}
		}] ifFalse: [#()].	"true in 4th place means act on mouseDown"

	^ aa,
	{{(ScriptingSystem formAtKey: #TinyMenu) asMorph. #offerMenu. 'click here to get a menu with further options'}.
	{self limitClassString. #chooseLimitClass. 'Governs which classes'' methods should be shown.  If this is the same as the viewed class, then only methods implemented in that class will be shown.  If it is ProtoObject, then methods of all classes in the vocabulary will be shown.'.}.},
	#(
	('follow'			seeAlso							'view a method I implement that is called by this method')
	('find'				obtainNewSearchString			'find methods by name search')
	('sent...'			setSendersSearch				'view the methods I implement that send a given message')

	('<'					navigateToPreviousMethod 		'view the previous active method')
	('>'					navigateToNextMethod 			'view the next active method')
	('-'					removeFromSelectorsVisited		'remove this method from my active list')),
	{{(ScriptingSystem formAtKey: #Cat) asMorph. #showHomeCategory. 'show this method''s home category'}}.! !

!Lexicon methodsFor: 'as yet unclassified' stamp: 'fbs 4/12/2010 12:27'!
optionalButtonPairs
	"Actually, return triples.  Only the custom lexicon-specific buttons are shown"
	^ self customButtonSpecs! !

