"Change Set:		9948Tools-ar.228

Tools-ar.228:
Try to display the name of a top-level server directory.

Tools-edc.227:
Fixed the missed menu in the build directory Tree panes about working with external servers from Squeak

"!
!FileList methodsFor: 'toolbuilder' stamp: 'edc 4/10/2010 08:29'!
buildDirectoryTreeWith: builder
	| treeSpec |
	treeSpec := builder pluggableTreeSpec new.
	treeSpec 
			model: self;
			roots: #rootDirectoryList;
			hasChildren: #hasMoreDirectories:;
			getChildren: #subDirectoriesOf:;
			getSelectedPath: #selectedPath; 
			setSelected: #setDirectoryTo:;
			label: #directoryNameOf:;
			menu: #volumeMenu:;
			autoDeselect: false.
	^treeSpec
! !

!FileList methodsFor: 'directory tree' stamp: 'ar 4/10/2010 11:00'!
directoryNameOf: aDirectory
	"Attempt to find the name of ServerDirectories when used."

	^(aDirectory isRemoteDirectory and:[aDirectory isKindOf: ServerDirectory])
		ifTrue:[ServerDirectory servers keyAtIdentityValue: aDirectory]
		ifFalse:[aDirectory localName]! !

