"Change Set:		7328EToys-ar.30

EToys-ar.30:
Post-closure cleanup and underscore removal.

"!
!EToyProjectRenamerMorph methodsFor: 'as yet unclassified' stamp: 'pk 10/17/2006 09:39'!
validateTheProjectName

	| proposed |

	proposed := (namedFields at: 'projectname') contents string withBlanksTrimmed.
	proposed isEmpty ifTrue: [
		self inform: 'I do need a name for the project' translated.
		^false
	].
	proposed size > 24 ifTrue: [
		self inform: 'Please make the name 24 characters or less' translated.
		^false
	].
	(Project isBadNameForStoring: proposed) ifTrue: [
		self inform: 'Please remove any funny characters from the name' translated.
		^false
	].
	proposed = theProject name ifTrue: [^true].
	(ChangesOrganizer changeSetNamed: proposed) ifNotNil: [
		Utilities inform: 'Sorry that name is already used' translated.
		^false
	].
	^true! !

ViewerRow removeSelector: #entryType!
ViewerRow removeSelector: #playerBearingCode!
ViewerRow removeSelector: #elementSymbol:!
Smalltalk removeClassNamed: #DrawErrorMorph!
CommandTilesMorph removeSelector: #initialize!
ViewerEntry removeSelector: #contentsSelection!
ViewerEntry removeSelector: #viewerRow!
ViewerEntry removeSelector: #slotName!
ViewerEntry removeSelector: #initialize!
DrawErrorMorph removeSelector: #printOn:!
ViewerRow removeSelector: #elementSymbol!
ViewerRow removeSelector: #initialize!
ViewerEntry removeSelector: #contents:notifying:!
Smalltalk removeClassNamed: #CommandTilesMorph!
CommandTilesMorph removeSelector: #tileRows!
DrawErrorMorph removeSelector: #drawOn:!
Smalltalk removeClassNamed: #PhraseWrapperMorph!
Smalltalk removeClassNamed: #ViewerEntry!
ViewerEntry removeSelector: #defaultColor!
PhraseWrapperMorph classSide removeSelector: #includeInNewMorphMenu!
ViewerEntry removeSelector: #userSlotInformation!
CommandTilesMorph removeSelector: #setMorph:!
Smalltalk removeClassNamed: #ViewerRow!
PhraseWrapperMorph removeSelector: #repelsMorph:event:!
PhraseWrapperMorph removeSelector: #isPartsBin!
ViewerEntry removeSelector: #entryType!
ViewerEntry removeSelector: #playerBearingCode!
ViewerEntry removeSelector: #codePaneMenu:shifted:!
