"Change Set:		7520Services-Base-ar.35

Services-Base-ar.35:
Fix usage of outdated preferences protcols.

"!
!ServiceAction methodsFor: 'preferences' stamp: 'ar 8/9/2009 15:16'!
insertPreferences
	ServicePreferences
		addPreference: self id
		categories: (Array with: self providerCategory)
		default: true
		balloonHelp: self description
		projectLocal: false
		changeInformee: self id -> #updateEnable
		changeSelector: #serviceUpdate
		type: #Boolean! !

!ServiceAction methodsFor: 'preferences' stamp: 'ar 8/9/2009 15:16'!
addPreference: name category: cat selector: sel
	
	ServicePreferences 
		 addPreference: name
		 categories: {cat asSymbol. self providerCategory}
		 default: ''
		 balloonHelp:self description
		 projectLocal:false
		 changeInformee: self id -> sel
		 changeSelector: #serviceUpdate
		type: #String! !

!ServiceShortcuts class methodsFor: 'as yet unclassified' stamp: 'ar 8/9/2009 15:17'!
insertPrefShortcut: short
					ServicePreferences
						addPreference: short
						categories: #('-- keyboard shortcuts --' )
						default: ''
						balloonHelp: 'enter a service id to bind it to this shortcut'
						projectLocal: false
						changeInformee: [self
								changeShortcut: short
								to: (ServicePreferences valueOfPreference: short)] fixTemps
						changeSelector: #value
						type: #String! !

!ServiceCategory methodsFor: 'preferences' stamp: 'ar 8/9/2009 15:16'!
insertPreferences
	super insertPreferences.
	ServicePreferences 
		addPreference: self childrenPreferences
		categories: { 
				('-- menu contents --' asSymbol).
				(self providerCategory)}
		default: ''
		balloonHelp: self description
		projectLocal: false
		changeInformee: self id -> #updateChildren
		changeSelector: #serviceUpdate
		type: #String! !

