"Change Set:		7630Kernel-bf.225

Kernel-bf.225:
Clarify the meaning of #asOop in Squeak.

"!
!Object methodsFor: 'system primitives' stamp: 'bf 8/22/2009 17:25'!
asOop
	"This method is for compatibility only.
	In Smalltalk, this used to return an integer unique to each object.
	In Squeak, OOPs are internal to the VM.  Accessing an OOP would be useless anyway since it changes when the object is moved during garbage collection."

	^self identityHash! !

SmallInteger removeSelector: #asOop!
