"Change Set:		7676Kernel-dtl.232

Kernel-dtl.232:
Update #oopString comment

Kernel-dtl.226:
Reference Mantis 7221: Remove some leftover VMMaker methods from base images.
Remove several C code generation methods that have previously been recategorized to the VMMaker package.

Kernel-ar.229:
Merging Kernel-djr.228:

CompiledMethod>>= seems to be broken. Attempt to fix it.

MethodProperties>>analogousCodeTo: calls Pragma>>analogousCodeTo: which does not exist.

Further assume when both properties are nil and both pragmas are empty, its equal.

Kernel-ar.230:
Implementations for BlockClosure>>isValid and asMinimalRepresentation for compatibility of BlockClosure with the when:evaluate: protocol.

Kernel-ar.231:
BlockClosure>>asMinimalRepresentation needs to return self, just like the comment says.

"!
!BlockClosure methodsFor: 'events-support' stamp: 'ar 8/26/2009 21:36'!
asMinimalRepresentation
	"For use in the when:evaluate: protocol, i.e.,
		foo when: #bar evaluate:[self handleBar].
	Return the receiver."
	^self! !

!Pragma methodsFor: 'testing' stamp: 'djr 8/26/2009 22:39'!
analogousCodeTo: aPragma
	^ (self arguments = aPragma arguments) &
		(self keyword = aPragma keyword)! !

!MethodProperties methodsFor: 'testing' stamp: 'djr 8/27/2009 00:18'!
analogousCodeTo: aMethodProperties
	pragmas
		ifNil: [aMethodProperties pragmas notEmpty ifTrue: [^false]]
		ifNotNil:
			[pragmas size ~= aMethodProperties pragmas size ifTrue:
				[^false].
			 pragmas with: aMethodProperties pragmas do:
				[:mine :others|
				(mine analogousCodeTo: others) ifFalse: [^false]]].
	(self propertiesIsNil and: [aMethodProperties propertiesIsNil]) ifTrue: [^true].
	^(self hasAtLeastTheSamePropertiesAs: aMethodProperties)
	  and: [aMethodProperties hasAtLeastTheSamePropertiesAs: self]! !

!MethodProperties methodsFor: 'testing' stamp: 'MagmaCollectionTester 8/26/2009 23:08'!
propertiesIsNil
	^ properties isNil! !

!Object methodsFor: 'system primitives' stamp: 'dtl 8/29/2009 12:55'!
oopString
	"Answer a string that represents the oop of the receiver.
	This method is for compatibility only, see comment for #asOop."

	^ self asOop printString! !

!MethodProperties methodsFor: 'accessing' stamp: 'MagmaCollectionTester 8/26/2009 23:10'!
keysAndValuesDo: aBlock
	properties keysAndValuesDo: aBlock! !

!BlockClosure methodsFor: 'events-support' stamp: 'ar 8/26/2009 20:58'!
isValid
	"For use in the when:evaluate: protocol, i.e.,
		foo when: #bar evaluate:[self handleBar].
	Return true."
	^true! !

Boolean class removeSelector: #ccg:generateCoerceToValueFrom:on:!
SmallInteger class removeSelector: #ccg:generateCoerceToOopFrom:on:!
SmallInteger class removeSelector: #ccgCanConvertFrom:!
Boolean class removeSelector: #ccg:prolog:expr:index:!
SmallInteger class removeSelector: #ccg:generateCoerceToValueFrom:on:!
SmallInteger class removeSelector: #ccg:prolog:expr:index:!
Boolean class removeSelector: #ccg:emitLoadFor:from:on:!
Boolean class removeSelector: #ccg:generateCoerceToOopFrom:on:!
