"Change Set:		7684MorphicExtras-ar.44

MorphicExtras-ar.44:
FreeTypePlus integration. Fold extensions and overrides in CanvasCharacterScanner.

"!
!CanvasCharacterScanner methodsFor: 'stop conditions' stamp: 'tween 4/6/2007 11:03'!
tab

	destX _ (alignment == Justified and: [self leadingTab not])
		ifTrue:		"imbedded tabs in justified text are weird"
			[destX + (textStyle tabWidth - (line justifiedTabDeltaFor: spaceCount)) max: destX]
		ifFalse: 
			[textStyle nextTabXFrom: destX
				leftMargin: leftMargin
				rightMargin: rightMargin].
	lastIndex _ lastIndex + 1.
	pendingKernX := 0.
	^ false! !

!CanvasCharacterScanner methodsFor: 'stop conditions' stamp: 'tween 4/6/2007 12:48'!
paddedSpace
	"Each space is a stop condition when the alignment is right justified. 
	Padding must be added to the base width of the space according to 
	which space in the line this space is and according to the amount of 
	space that remained at the end of the line when it was composed."

	destX _ destX + spaceWidth + (line justifiedPadFor: spaceCount font: font).
	lastIndex _ lastIndex + 1.
	pendingKernX := 0.
	^ false! !

!CanvasCharacterScanner methodsFor: 'stop conditions' stamp: 'tween 4/6/2007 11:02'!
cr
	"When a carriage return is encountered, simply increment the pointer 
	into the paragraph."

	lastIndex_ lastIndex + 1.
	pendingKernX := 0.
	^false! !

