"Change Set:		7910ST80-ar.55

ST80-ar.55:
A bit of yellowButtonMenu refactoring. Moves the definition of the [shifted]yellowButtonMenu into StringHolder since it used from three places (MVC, Morphic, Tools) and StringHolder will ultimately go into Kernel-Models. This is still a bit awkward (there ought to be better ways to organize these menus) but for the time being it serves the purpose of avoiding dependencies to ParagraphEditor all over the places.

"!
!StringHolder class methodsFor: 'yellow button menu' stamp: 'ar 10/5/2009 23:19'!
shiftedYellowButtonMenuItems
	"Returns the standard yellow button menu items"
	^{
		{'explain' translated.						#explain}.
		{'pretty print' translated.					#prettyPrint}.
		{'pretty print with color' translated.		#prettyPrintWithColor}.
		{'file it in (G)' translated.					#fileItIn}.
		{'tiles from it' translated.					#selectionAsTiles}.
		{'spawn (o)' translated.						#spawn}.
		#-.
		{'browse it (b)' translated.					#browseIt}.
		{'senders of it (n)' translated.				#sendersOfIt}.
		{'implementors of it (m)' translated.		#implementorsOfIt}.
		{'references to it (N)' translated.			#referencesToIt}.
		#-.
		{'selectors containing it (W)' translated.	#methodNamesContainingIt}.
		{'method strings with it (E)' translated.	#methodStringsContainingit}.
		{'method source with it' translated.		#methodSourceContainingIt}.
		{'class names containing it' translated.	#classNamesContainingIt}.
		{'class comments with it' translated.		#classCommentsContainingIt}.
		{'change sets with it' translated.			#browseChangeSetsWithSelector}.
		#-.
		{'save contents to file...' translated.		#saveContentsInFile}.
		{'send contents to printer' translated.	#sendContentsToPrinter}.
		{'printer setup' translated.					#printerSetup}.
		#-.
		{'special menu...' translated.				#presentSpecialMenu}.
		{'more...' translated.						#yellowButtonActivity}.
	}! !

!StringHolder class methodsFor: 'yellow button menu' stamp: 'ar 10/5/2009 23:24'!
codePaneMenu: aMenu shifted: shifted
	"Utility method for the 'standard' codePane menu"
	aMenu addList: (shifted 
		ifTrue:[self shiftedYellowButtonMenuItems]
		ifFalse:[self yellowButtonMenuItems])! !

!StringHolder class methodsFor: 'yellow button menu' stamp: 'ar 10/5/2009 23:17'!
yellowButtonMenuItems
	"Returns the standard yellow button menu items"
	^{
			{'set font... (k)' translated.				#offerFontMenu}.
			{'set style... (K)' translated.				#changeStyle}.
			{'set alignment... (u)' translated.		#chooseAlignment}.
			#-.
			{'make project link (P)' translated.	#makeProjectLink}.
			#-.
			{'find...(f)' translated.					#find}.
			{'find again (g)' translated.				#findAgain}.
			{'set search string (h)' translated.		#setSearchString}.
			#-.
			{'do again (j)' translated.				#again}.
			{'undo (z)' translated.					#undo}.
			#-.
			{'copy (c)' translated.					#copySelection}.
			{'cut (x)' translated.						#cut}.
			{'paste (v)' translated.					#paste}.
			{'paste...' translated.					#pasteRecent}.
			#-.
			{'do it (d)' translated.		#doIt}.			     
		{'print it (p)' translated.		#printIt}.		     
		{'inspect it (i)' translated.		#inspectIt}.		     
		{'explore it (I)' translated.		#exploreIt}.		     
		{'debug it' translated.			#debugIt}.		     
		{'tally it' translated.			#tallyIt}.
			#-.
			{'accept (s)' translated.					#accept}.
			{'cancel (l)' translated.					#cancel}.
			#-.
			{'show bytecodes' translated.			#showBytecodes}.
			#-.
			{'copy html' translated.					#copyHtml}.
			#-.
			{'more...' translated.					#shiftedTextPaneMenuRequest}.
		}! !

!StringHolder methodsFor: 'code pane menu' stamp: 'ar 10/5/2009 23:24'!
codePaneMenu: aMenu shifted: shifted
	"Fill in the given menu with additional items. The menu is prepoulated with the 'standard' text commands that the editor supports. Note that unless we override perform:orSendTo:, the editor will respond to all menu items in a text pane"
	^self class codePaneMenu: aMenu shifted: shifted! !

