"Change Set:		7918MorphicExtras-ar.50

MorphicExtras-ar.50:
Remove further MVC (ParagraphEditor) dependencies.

MorphicExtras-nice.49:
Fix http://bugs.squeak.org/view.php?id=6972
Some TextConstants are hardcoded in PostscriptCharacterScanner

I am more than a Number, I am a TextConstant...

"!
Object subclass: #PostscriptCharacterScanner
	instanceVariableNames: 'canvas paragraph bounds curPos font foregroundColor emphasis'
	classVariableNames: ''
	poolDictionaries: 'TextConstants'
	category: 'MorphicExtras-Postscript Canvases'!

!PostscriptCharacterScanner methodsFor: 'displaying' stamp: 'nice 3/6/2008 22:40'!
displayLine: line offset: baseOffset leftInRun: leftInRun
	| drawFont offset aText string s doJustified |

	self setTextStylesForOffset: ((line first) + 1).	" sets up various instance vars from text styles "
	drawFont := self font.
	offset := baseOffset.
	offset := offset + (line left @ (line top + line baseline - drawFont ascent )). 
	offset := offset + ((self textStyle alignment caseOf:{
		[Centered] -> [ line paddingWidth /2 ].
		[RightFlush] -> [ line paddingWidth ] } otherwise:[0]) @ 0).

	canvas moveto: offset.

	aText := paragraph text copyFrom: line first to: line last.
	doJustified := (paragraph textStyle alignment = Justified)
						and: [ (paragraph text at:line last) ~= Character cr
						and: [aText runs runs size = 1]].
	string := aText string.
	aText runs withStartStopAndValueDo: [:start :stop :attributes |
		self setTextStylesForOffset: (start + line first - 1).	" sets up inst vars from text styles "
		s := string copyFrom: start to: stop.
		drawFont := self font.
		canvas setFont: drawFont.
		canvas 
			textStyled: s
			at: offset 		"<--now ignored"
			font: drawFont 		"<--now ignored"
			color: foregroundColor
			justified: doJustified		"<-can't do this now for multi-styles" 
			parwidth: line right - line left.
	].
! !

!ScrollableField methodsFor: 'menu' stamp: 'ar 10/5/2009 21:48'!
getMenu: shiftKeyState 
	^ (shiftKeyState not
			or: [Preferences noviceMode])
		ifTrue: [TextEditor yellowButtonMenu]
		ifFalse: [TextEditor shiftedYellowButtonMenu]! !

