"Change Set:		7944CollectionsTests-ul.103

CollectionsTests-ul.103:
tests for String >> #format: and String >> #withBlanksTrimmed

"!
!StringTest methodsFor: 'testing - converting' stamp: 'ul 10/13/2009 00:55'!
testWithBlanksTrimmed

	| s |
	self assert: ' abc  d   ' withBlanksTrimmed = 'abc  d'.
	self assert: 'abc  d   ' withBlanksTrimmed = 'abc  d'.
	self assert: ' abc  d' withBlanksTrimmed = 'abc  d'.
	self assert: (((0 to: 255) collect: [ :each | each asCharacter ] thenSelect: [ :each | each isSeparator ]) as: String) withBlanksTrimmed = ''.
	s := 'abcd'.
	self assert: s withBlanksTrimmed = s.
	self assert: s withBlanksTrimmed ~~ s.! !

!StringTest methodsFor: 'testing - formatting' stamp: 'ul 10/13/2009 01:23'!
testFormat

	{ 
		[ '\{ \} \\ foo {1} bar {2}' format: { 12. 'string' } ] -> '{ } \ foo 12 bar string'.
		[ '\{ \} \\ foo {2} bar {1}' format: { 'string'. 12 } ] -> '{ } \ foo 12 bar string'.
		[ '\{1}' format: {} ] -> '{1}'.
		[ '\{1}{1}' format: { $a } ] -> '{1}a'.
	} do: [ :each |
		self assert: each key value = each value ]! !

