"Change Set:		8097Multilingual-ar.58

Multilingual-ar.58:
Undeclared cleanup. Declare acceptEncodings in CompoundTextConverter.

Multilingual-ar.56:
Remove unnecessary installation guard after issueing a config map.

Multilingual-ar.57:
Remove unnecessary convertFromSystemString: call.

"!
TextConverter subclass: #CompoundTextConverter
	instanceVariableNames: 'state acceptingEncodings'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Multilingual-TextConversion'!

!TextConverter methodsFor: 'conversion' stamp: 'ar 10/23/2009 21:15'!
nextPutAll: aString toStream: aStream
	"Handle fast conversion if ByteString"
	
	| lastIndex nextIndex |
	aString class == ByteString ifFalse: [
		(latin1Map at: Character cr asciiValue + 1) = 0
			ifTrue: [
				aString do: [:char | self nextPut: char toStream: aStream]]
			ifFalse: [
				aString do: [:char | aStream nextPut: char]].
		^self].
	
	lastIndex := 1.
	[nextIndex := ByteString findFirstInString: aString inSet: latin1Map startingAt: lastIndex.
	nextIndex = 0] whileFalse:
		[aStream next: nextIndex-lastIndex putAll: aString startingAt: lastIndex.
		aStream basicNextPutAll: (latin1Encodings at: (aString byteAt: nextIndex)+1).
		lastIndex := nextIndex + 1].
	aStream next: aString size-lastIndex+1 putAll: aString startingAt: lastIndex.
	^self
! !

!TextConverter methodsFor: 'initialize-release' stamp: 'ar 10/27/2009 20:32'!
installLineEndConvention: lineEndStringOrNil

	latin1Map := self class latin1Map.
	latin1Encodings := self class latin1Encodings.
	lineEndStringOrNil ifNotNil:
		[latin1Encodings := latin1Encodings copy.
		latin1Encodings at: Character cr asciiValue + 1 put: lineEndStringOrNil.
		latin1Map := latin1Map copy.
		latin1Map at: Character cr asciiValue + 1 put: 1]! !

