"Change Set:		8186Compiler-cwp.97

Compiler-cwp.97:
Added a test that demonstrates a bug in block copying. 

If a block containing a return is copied, it will raise BlockCannotReturn when it's evaluated, even if the home context is still on the stack.

http://bugs.squeak.org/view.php?id=7414

"!
!ClosureTests methodsFor: 'utilities' stamp: 'cwp 11/16/2009 08:12'!
methodWithNonLocalReturn
	self evaluateCopyOf: [^ self].
	self signalFailure: 'Should never reach here'! !

!ClosureTests methodsFor: 'testing' stamp: 'cwp 11/16/2009 08:11'!
testCopyNonLocalReturn
	self
		shouldnt: [self methodWithNonLocalReturn]
		raise: Error! !

!ClosureTests methodsFor: 'utilities' stamp: 'cwp 11/16/2009 08:12'!
evaluateCopyOf: aBlock
	aBlock copy value! !

