"Change Set:		8211KernelTests-ul.110

KernelTests-ul.110:
- updated 2 tests which assumed that Dictionary's superclass is Set

"!
!BasicBehaviorClassMetaclassTest methodsFor: 'testing' stamp: 'ul 11/19/2009 01:53'!
testSuperclass
	"self run: #testSuperclass"

	| s |
	self assert: Dictionary superclass == HashedCollection.
	self assert: OrderedCollection superclass == SequenceableCollection.

	s := OrderedCollection new.
	s add: SequenceableCollection.
	s add: Collection.
	s add: Object.
	s add: ProtoObject.

	self assert: OrderedCollection allSuperclasses = s.

	
	! !

!BasicBehaviorClassMetaclassTest methodsFor: 'testing' stamp: 'ul 11/19/2009 01:53'!
testMetaclassSuperclass
	"self run: #testMetaclassSuperclass"

	self assert: Dictionary class superclass == HashedCollection class.
	self assert: OrderedCollection class superclass == SequenceableCollection class.

	! !

