"Change Set:		8647ST80-dtl.80

ST80-dtl.80:
Move #restoreDisplay implementation from ScreenController to Project to eliminate #isMorphic sends.

Move #offerMenuFrom:shifted: from StringHolder to Project to eliminate #isMorphic send.

"!
!ScreenController methodsFor: 'menu messages' stamp: 'dtl 12/28/2009 16:16'!
restoreDisplay 
	"Clear the screen to gray and then redisplay all the scheduled views."

	Project current restoreDisplay
! !

!MVCProject methodsFor: 'display' stamp: 'dtl 12/28/2009 16:13'!
restoreDisplay 
	"Clear the screen to gray and then redisplay all the scheduled views."

	Display extent = DisplayScreen actualScreenSize
		ifFalse:
			[DisplayScreen startUp.
			ScheduledControllers unCacheWindows].
	ScheduledControllers restore! !

!MVCProject methodsFor: 'utilities' stamp: 'dtl 12/28/2009 19:53'!
offerMenuFrom: menuRetriever shifted: aBoolean
	"Pop up a menu whose target is the receiver and whose contents are provided
	by sending the menuRetriever to the receiver. The menuRetriever takes two
	arguments: a menu, and a boolean representing the shift state."

	| aMenu |
	aMenu := CustomMenu new.
	self perform: menuRetriever with: aMenu with: aBoolean.
	aMenu invokeOn: self! !

