"Change Set:		8661Morphic-dtl.279

Morphic-dtl.279:
Rename #startUpComplete to #wakeUpTopWindow because it is used in contexts other than image startup. Change ChangesOrganizer class>>reorderChangesSets to use 'Project current wakeUpTopWindow' rather than an #isMorphic test.

Morphic-dtl.277:
Remove #isMorphic sends from Rectangle, supported by #pointerMoved in Project and MorphicProject.


Morphic-dtl.278:
Move #restoreDisplay implementation from ScreenController to Project to eliminate #isMorphic sends.

Eliminate #isMorphic from #snapshot:andQuit:embedded: by adding #startUpComplete to Project and MorphicProject.

Move #offerMenuFrom:shifted: from StringHolder to Project to eliminate #isMorphic send.

"!
!MorphicProject methodsFor: 'enter' stamp: 'dtl 12/28/2009 22:55'!
wakeUpTopWindow
	"Image has been restarted, and the startUp list has been processed. Perform
	any additional actions needed to restart the user interface."

	SystemWindow wakeUpTopWindowUponStartup! !

!MorphicProject methodsFor: 'utilities' stamp: 'dtl 12/28/2009 13:11'!
pointerMoved
	"Pointer has moved during a drag operation. Perform any necessary updates.
	In Morphic, pay the price for reading the sensor directly."

	World activeHand
			newMouseFocus: nil;
			showTemporaryCursor: nil;
			flushEvents! !

!MorphicProject methodsFor: 'display' stamp: 'dtl 12/28/2009 16:14'!
restoreDisplay 
	"Clear the screen to gray and then redisplay all the scheduled views."

	^ World restoreMorphicDisplay
! !

!MorphicProject methodsFor: 'utilities' stamp: 'dtl 12/28/2009 19:54'!
offerMenuFrom: menuRetriever shifted: aBoolean
	"Pop up a menu whose target is the receiver and whose contents are provided
	by sending the menuRetriever to the receiver. The menuRetriever takes two
	arguments: a menu, and a boolean representing the shift state."

	| aMenu |
	aMenu := MenuMorph new defaultTarget: self.
	self perform: menuRetriever with: aMenu with: aBoolean.
	aMenu popUpInWorld! !

