"Change Set:		8814System-dtl.222

System-dtl.222:
Cache Smalltalk wordSize in class var in SystemDictionary..

Reference Mantis 7430: CompiledMethod>> initialPC calculation is wrong for 64bit images

"!
IdentityDictionary subclass: #SystemDictionary
	instanceVariableNames: 'cachedClassNames'
	classVariableNames: 'LastImageName LastQuitLogPosition LowSpaceProcess LowSpaceSemaphore MemoryHogs ShutDownList SpecialSelectors StartUpList StartupStamp SystemChanges WordSize'
	poolDictionaries: ''
	category: 'System-Support'!

!SystemDictionary methodsFor: 'sources, change log' stamp: 'dtl 1/4/2010 21:40'!
wordSize
	"Answer the size in bytes of an object pointer or word in the object memory.
	The value does not change for a given image, but may be modified by a SystemTracer
	when converting the image to another format. The value is cached in WordSize to
	avoid the performance overhead of repeatedly consulting the VM."

	"Smalltalk wordSize"

	^ WordSize ifNil: [WordSize := [SmalltalkImage current vmParameterAt: 40] on: Error do: [4]]! !

