"Change Set:		9294MorphicExtras-dtl.75

MorphicExtras-dtl.75:
Remove MVC dependencies from ProjectNavigationMorph.
Move #fullScreenOn and #fullScreenOff from MVC ScreenController to Project

MorphicExtras-dtl.74:
Remove explicit MVC and Morphic dependencies from MailComposition.


"!
!ProjectNavigationMorph methodsFor: 'as yet unclassified' stamp: 'dtl 2/10/2010 10:17'!
checkForRebuild
	| lastScreenMode flapsSuppressed |

	lastScreenMode := Project current lastScreenModeSelected.
	flapsSuppressed := Project current flapsSuppressed.
	((self valueOfProperty: #currentNavigatorVersion) = self currentNavigatorVersion
			and: [lastScreenMode = self inFullScreenMode
			and: [flapsSuppressed = self inFlapsSuppressedMode
			and: [(self valueOfProperty: #includeSoundControlInNavigator) = 
						Preferences includeSoundControlInNavigator]]]) ifFalse: [
		self 
			setProperty: #includeSoundControlInNavigator 
			toValue: Preferences includeSoundControlInNavigator.
		self setProperty: #flapsSuppressedMode toValue: flapsSuppressed.
		self setProperty: #showingFullScreenMode toValue: lastScreenMode.
		self setProperty: #currentNavigatorVersion toValue: self currentNavigatorVersion.
		self removeAllMorphs.
		self addButtons.
	].
! !

!ProjectNavigationMorph methodsFor: 'the actions' stamp: 'dtl 2/10/2010 10:43'!
fullScreenOff

	self setProperty: #showingFullScreenMode toValue: false.
	Project current fullScreenOff.
	self removeProperty: #currentNavigatorVersion.
	mouseInside := false.
! !

!ProjectNavigationMorph methodsFor: 'the actions' stamp: 'dtl 2/10/2010 10:43'!
fullScreenOn

	self setProperty: #showingFullScreenMode toValue: true.
	Project current fullScreenOn.
	self removeProperty: #currentNavigatorVersion.
	mouseInside := false.
! !

MailComposition removeSelector: #openInMVC!
