"Change Set:		9308Tests-nice.46

Tests-nice.46:
Use literal ByteArray where due

"!
!BitmapStreamTests methodsFor: 'tests-ShortPointArray' stamp: 'nice 1/18/2010 13:37'!
testShortPointArrayWithRefStream2
	array := ShortPointArray with: 0@1 with: 2@3.
	self validateRefStream.
	self assert: stream byteStream contents = #[20 6 15 83 104 111 114 116 80 111 105 110 116 65 114 114 97 121  0 0 0 2  0 0  0 1  0 2  0 3 ]
	! !

!BitmapStreamTests methodsFor: 'tests-ShortIntegerArray' stamp: 'nice 1/18/2010 15:01'!
testShortIntegerArrayReadRefStream2
	| refStrm |
	refStrm := ReferenceStream on: #[20 6 17 83 104 111 114 116 73 110 116 101 103 101 114 65 114 114 97 121 0 0 0 2 0 0 0 1 0 2 0 3 ] readStream.
	self assert: (refStrm next = (ShortIntegerArray with: 0 with: 1 with: 2 with: 3)).! !

!BitmapStreamTests methodsFor: 'tests-ShortIntegerArray' stamp: 'nice 1/18/2010 13:36'!
testShortIntegerArrayWithRefStream2
	array := ShortIntegerArray with: 0 with: 1 with: 2 with: 3.
	self validateRefStream.
	self assert: stream byteStream contents = #[20 6 17 83 104 111 114 116 73 110 116 101 103 101 114 65 114 114 97 121 0 0 0 2 0 0 0 1 0 2 0 3]
	
! !

!BitmapStreamTests methodsFor: 'tests-ShortPointArray' stamp: 'nice 1/18/2010 13:38'!
testShortPointArrayWithSmartRefStream2
	array := ShortPointArray with: 0@1 with: 2@3.
	self validateSmartRefStream.
	self assert: (stream contents asByteArray last: 15) = #[0 0 0 2  0 0  0 1  0 2  0 3  33 13 13 ]
	! !

!BitmapStreamTests methodsFor: 'tests-ShortRunArray' stamp: 'nice 1/18/2010 13:38'!
testShortRunArrayWithSmartRefStream2
	array := self createSampleShortRunArray.
	self validateSmartRefStream.
	self assert: (stream contents asByteArray last: 23) = #[0 0 0 4 0 1 0 0 0 2 0 1 0 3 0 2 0 4 0 3 33 13 13 ]

! !

!BitmapStreamTests methodsFor: 'tests-ShortIntegerArray' stamp: 'nice 1/18/2010 13:37'!
testShortIntegerArrayWithSmartRefStream2
	array := ShortIntegerArray with: 0 with: 1 with: 2 with: 3.
	self validateSmartRefStream.
	self assert: (stream contents asByteArray last: 15) = #[0 0 0 2  0 0  0 1  0 2  0 3  33 13 13]
	
! !

