"Change Set:		9487CollectionsTests-ar.150

CollectionsTests-ar.150:
Tests for splitBy:.


"!
!SequenceableCollectionTest methodsFor: 'tests - converting' stamp: 'ar 2/27/2010 22:25'!
testSplitBy
	"Tests for  splitBy: and splitBy:do:"

	self assert: ('a/b' splitBy: '/') = #('a' 'b').
	self assert: ('a/b/' splitBy: '/') = #('a' 'b' '').
	self assert: ('/a/b/' splitBy: '/') = #('' 'a' 'b' '').
	self assert: ('///' splitBy: '/') = #('' '' '' '').
	self assert: ('/' splitBy: '/') = #('' '').
	self assert: ('a' splitBy: '/') = #('a').
	self assert: ('' splitBy: '/') = #('').

	self assert: ('a//b' splitBy: '//') = #('a' 'b').
	self assert: ('///' splitBy: '//') = #('' '/').

	self assert: ('Hello<p>World<p>' splitBy: '<p>') = #('Hello' 'World' '').
! !

