"Change Set:		9532Graphics-nice.112

Graphics-nice.112:
Fix endOfRun and crossedX encodings in paragraph composition - Part 1

"!
Object subclass: #TextStopConditions
	instanceVariableNames: 'stops crossedX endOfRun'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Graphics-Text'!

!CharacterScanner class methodsFor: 'class initialization' stamp: 'nice 2/28/2010 18:08'!
initialize
"
	CharacterScanner initialize
"
	| a |
	a := Array new: 258.
	a at: 1 + 1 put: #embeddedObject.
	a at: Tab asciiValue + 1 put: #tab.
	a at: CR asciiValue + 1 put: #cr.
	a at: Character lf asciiValue + 1 put: #cr.
	a at: EndOfRun put: #endOfRun.
	a at: CrossedX put: #crossedX.
	a := TextStopConditions new setStops: a.
	NilCondition := a copy.
	DefaultStopConditions := a copy.

	PaddedSpaceCondition := a copy.
	PaddedSpaceCondition at: Space asciiValue + 1 put: #paddedSpace.
	
	SpaceCondition := a copy.
	SpaceCondition at: Space asciiValue + 1 put: #space.
! !

!TextStopConditions methodsFor: 'initialize-release' stamp: 'nice 4/17/2009 00:50'!
setStops: stopArray
	stops := stopArray copyFrom: 1 to: 258.
	endOfRun := stopArray at: 257.
	crossedX := stopArray at: 258.! !

!CharacterScanner methodsFor: 'initialize' stamp: 'nice 4/17/2009 00:57'!
initializeStringMeasurer
	| stops |
	stops := Array new: 258.
	stops at: CrossedX put: #crossedX.
	stops at: EndOfRun put: #endOfRun.
	stopConditions := TextStopConditions new setStops: stops.
! !

!TextStopConditions methodsFor: 'copying' stamp: 'nice 4/17/2009 00:52'!
postCopy
	stops := stops copy! !

!TextStopConditions methodsFor: 'initialize-release' stamp: 'nice 4/17/2009 00:43'!
initialize
	stops := Array new: 256.
	crossedX := #crossedX.
	endOfRun := #endOfRun! !

!TextStopConditions methodsFor: 'accessing' stamp: 'nice 4/17/2009 00:44'!
crossedX
	^crossedX! !

!TextStopConditions methodsFor: 'accessing' stamp: 'nice 4/17/2009 00:45'!
at: anInteger
	^stops at: anInteger! !

!TextStopConditions methodsFor: 'accessing' stamp: 'nice 4/17/2009 00:45'!
crossedX: aSymbolOrNil
	crossedX := aSymbolOrNil! !

!TextStopConditions methodsFor: 'accessing' stamp: 'nice 4/17/2009 00:44'!
endOfRun: aSymbolOrNil
	endOfRun := aSymbolOrNil! !

!TextStopConditions methodsFor: 'accessing' stamp: 'nice 4/17/2009 00:44'!
endOfRun
	^endOfRun! !

!TextStopConditions methodsFor: 'accessing' stamp: 'nice 4/17/2009 00:45'!
at: anInteger put: aSymbolOrNil
	^stops at: anInteger put: aSymbolOrNil! !

CharacterScanner initialize!
