"Change Set:		9538Multilingual-nice.94

Multilingual-nice.94:
Fix endOfRun and crossedX encodings in paragraph composition - Part 1

Multilingual-nice.91:
Let Unicode leadingChar be encoded 0 instead of 255.
According to proposal at
http://lists.squeakfoundation.org/pipermail/squeak-dev/2009-August/138915.html 

Warning: this causes a minor bug for A macron (char value 256 & 257) because of dirty old hack in CompositionScanner
(these vales are hijacked for encoding stopConditions EndOfRun and CrossedX)

"!
!MultiCharacterScanner class methodsFor: 'class initialization' stamp: 'nice 2/28/2010 18:08'!
initialize
"
	MultiCharacterScanner initialize
"
	| a |
	a := Array new: 258.
	a at: 1 + 1 put: #embeddedObject.
	a at: Tab asciiValue + 1 put: #tab.
	a at: CR asciiValue + 1 put: #cr.
	a at: Character lf asciiValue + 1 put: #cr.
	a at: EndOfRun put: #endOfRun.
	a at: CrossedX put: #crossedX.
	a := TextStopConditions new setStops: a.
	NilCondition := a copy.
	DefaultStopConditions := a copy.

	PaddedSpaceCondition := a copy.
	PaddedSpaceCondition at: Space asciiValue + 1 put: #paddedSpace.
	
	SpaceCondition := a copy.
	SpaceCondition at: Space asciiValue + 1 put: #space.
! !

!MultiCharacterScanner methodsFor: 'initialize' stamp: 'nice 4/17/2009 01:05'!
initializeStringMeasurer
	| stops |
	stops := Array new: 258.
	stops at: CrossedX put: #crossedX.
	stops at: EndOfRun put: #endOfRun.
	stopConditions := TextStopConditions new setStops: stops.
! !

!EncodedCharSet class methodsFor: 'class methods' stamp: 'nice 2/28/2010 16:38'!
initialize
"
	self initialize
"
	self allSubclassesDo: [:each | each initialize].

	EncodedCharSets := Array new: 256.

	EncodedCharSets at: 0+1 put: Unicode "Latin1Environment".
	EncodedCharSets at: 1+1 put: JISX0208.
	EncodedCharSets at: 2+1 put: GB2312.
	EncodedCharSets at: 3+1 put: KSX1001.
	EncodedCharSets at: 4+1 put: JISX0208.
	EncodedCharSets at: 5+1 put: JapaneseEnvironment.
	EncodedCharSets at: 6+1 put: SimplifiedChineseEnvironment.
	EncodedCharSets at: 7+1 put: KoreanEnvironment.
	EncodedCharSets at: 8+1 put: GB2312.
	"EncodedCharSets at: 9+1 put: UnicodeTraditionalChinese."
	"EncodedCharSets at: 10+1 put: UnicodeVietnamese."
	EncodedCharSets at: 12+1 put: KSX1001.
	EncodedCharSets at: 13+1 put: GreekEnvironment.
	EncodedCharSets at: 14+1 put: Latin2Environment.
	EncodedCharSets at: 15+1 put: RussianEnvironment.
	EncodedCharSets at: 256 put: Unicode.
! !

!Unicode class methodsFor: 'class methods' stamp: 'nice 2/28/2010 16:34'!
leadingChar
	^ 0! !

MultiCharacterScanner initialize!
EncodedCharSet initialize!
