"Change Set:		9559Graphics-nice.115

Graphics-nice.115:
1) Fix endOfRun and crossedX encodings in paragraph composition - Part 4 (clean-up)
2) Workaround after setting Unicode leadingChar = 0 :
CharacterScanner does not understand #scanMultiCharactersCombiningFrom:to:in:rightX:stopConditions:kern:


"!
!CharacterScanner class methodsFor: 'class initialization' stamp: 'nice 2/28/2010 19:17'!
initialize
"
	CharacterScanner initialize
"
	| a |
	a := Array new: 256.
	a at: 1 + 1 put: #embeddedObject.
	a at: Tab asciiValue + 1 put: #tab.
	a at: CR asciiValue + 1 put: #cr.
	a at: Character lf asciiValue + 1 put: #cr.
	a := TextStopConditions new setStops: a.
	
	NilCondition := a copy.
	DefaultStopConditions := a copy.

	PaddedSpaceCondition := a copy.
	PaddedSpaceCondition at: Space asciiValue + 1 put: #paddedSpace.
	
	SpaceCondition := a copy.
	SpaceCondition at: Space asciiValue + 1 put: #space.
! !

!TextStopConditions methodsFor: 'initialize-release' stamp: 'nice 2/28/2010 19:26'!
setStops: stopArray
	stops := stopArray! !

!CharacterScanner methodsFor: 'initialize' stamp: 'nice 2/28/2010 19:16'!
initializeStringMeasurer
	| stops |
	stops := Array new: 256.
	stopConditions := TextStopConditions new setStops: stops.
! !

!CharacterScanner methodsFor: 'scanner methods' stamp: 'nice 2/28/2010 19:10'!
scanMultiCharactersCombiningFrom: startIndex to: stopIndex in: sourceString rightX: rightX stopConditions: stops kern: kernDelta
	"Implement a workaround for unicode composing.
	a MultiCharacterScanner should better be used to handle combination."

	^self scanMultiCharactersFrom: startIndex to: stopIndex in: sourceString rightX: rightX stopConditions: stops kern: kernDelta! !

CharacterScanner initialize!
