"Change Set:		9745Sound-nice.13

Sound-nice.13:
1) Let add: answer the added object argument
2) remove a fixTemp


"!
!SequentialSound methodsFor: 'composition' stamp: 'nice 3/20/2010 08:02'!
add: aSound

	sounds := sounds copyWith: aSound.
	^aSound
! !

!MixedSound methodsFor: 'composition' stamp: 'nice 3/20/2010 08:00'!
add: aSound
	"Add the given sound with a pan setting of centered and no attenuation."

	self add: aSound pan: 0.5 volume: 1.0.
	^aSound
! !

!ScorePlayer methodsFor: 'volume' stamp: 'nice 2/9/2010 15:17'!
adjustVolumeTo: vol overMSecs: mSecs
	| normalizedVolume incr block |
	normalizedVolume := (vol asFloat min: 1.0) max: 0.0.
	incr := (self overallVolume - normalizedVolume) / mSecs * 50.0.
	block := normalizedVolume > 0.0
		ifTrue: [
			[[(normalizedVolume - self overallVolume) abs > 0.01] whileTrue: [self overallVolume: self overallVolume - incr. (Delay forMilliseconds: 50) wait]]]
		ifFalse: [
			[[self overallVolume > 0.0] whileTrue: [self overallVolume: self overallVolume - incr. (Delay forMilliseconds: 50) wait]. self pause]].
	block fork
! !

!SequentialSound methodsFor: 'accessing' stamp: 'nice 2/8/2010 09:38'!
duration
	"Answer the duration of this sound in seconds."

	"7 dec 2000 - handle compressed sounds. better way??"

	^sounds inject: 0 into: [:totalDuration :snd | totalDuration + snd asSound duration]! !

