"Change Set:		9774Network-nice.65

Network-nice.65:
Avoid sending at: to a DirectoryEntry, it is deprecated

"!
!ServerDirectory methodsFor: 'file directory' stamp: 'nice 3/21/2010 21:05'!
directoryNames
	"Return a collection of names for the subdirectories of this directory."
	"(ServerDirectory serverNamed: 'UIUCArchive') directoryNames"

	^ (self entries select: [:entry | entry isDirectory])
		collect: [:entry | entry name]
! !

!ServerDirectory methodsFor: 'file directory' stamp: 'nice 3/21/2010 21:07'!
fileNames
	"Return a collection of names for the files (but not directories) in this directory."
	"(ServerDirectory serverNamed: 'UIUCArchive') fileNames"

	^ self entries select: [:entry | entry isDirectory not]
		thenCollect: [:entry | entry name]
! !

!HTTPServerDirectory methodsFor: 'file directory' stamp: 'nice 3/21/2010 20:58'!
fileNames
	"Return a collection of names for the files (but not directories) in this directory."
	"(ServerDirectory serverNamed: 'UIUCArchive') fileNames"

	self dirListUrl
		ifNil: [^self error: 'No URL set for fetching the directory listing.'	].
	^(self entries select: [:entry | entry isDirectory not])
		collect: [:entry | entry name]
! !

!ServerDirectory methodsFor: 'file directory' stamp: 'nice 3/21/2010 21:06'!
fileAndDirectoryNames
	"FileDirectory default fileAndDirectoryNames"

	^ self entries collect: [:entry | entry name]
! !

!HTTPServerDirectory methodsFor: 'file directory' stamp: 'nice 3/21/2010 21:13'!
directoryNames
	| dirNames projectNames entries |
	"Return a collection of names for the subdirectories of this directory but filter out project directories."

	entries := self entries.
	dirNames := (entries select: [:entry | entry isDirectory])
		collect: [:entry | entry name].
	projectNames := Set new.
	entries do: [:entry | 
		(entry isDirectory not
			and: ['*.pr' match: entry name])
			ifTrue: [projectNames add: (entry name copyFrom: 1 to: entry name size - 3)]].
	^dirNames reject: [:each | projectNames includes: each]
! !

