"Change Set:		9847Compiler-nice.138

Compiler-nice.138:
Fix http://bugs.squeak.org/view.php?id=7491
Scanner new scanTokens: '1@-1'.
=> Scanner doesNotUnderstand: #ambiguousSelector:inRange: 

"!
!Parser methodsFor: 'error correction' stamp: 'nice 4/2/2010 19:38'!
ambiguousSelector: aString inRange: anInterval
	| correctedSelector userSelection offset intervalWithOffset |
	
	self interactive ifFalse: [
		"In non interactive mode, compile with backward comapatibility: $- is part of literal argument"
		Transcript cr; store: encoder classEncoding; nextPutAll:#'>>';store: encoder selector; show: ' would send ' , token , '-'.
		^super ambiguousSelector: aString inRange: anInterval].
	
	"handle the text selection"
	userSelection := requestor selectionInterval.
	intervalWithOffset := anInterval first + requestorOffset to: anInterval last + requestorOffset.
	requestor selectFrom: intervalWithOffset first to: intervalWithOffset last.
	requestor select.

	"Build the menu with alternatives"
	correctedSelector := AmbiguousSelector 
			signalName: aString
			inRange: intervalWithOffset.
	correctedSelector ifNil: [^self fail].

	"Execute the selected action"
	offset := self substituteWord: correctedSelector wordInterval: intervalWithOffset offset: 0.
	requestor deselect.
	requestor selectInvisiblyFrom: userSelection first to: userSelection last + offset.
	token := (correctedSelector readStream upTo: Character space) asSymbol! !

!Scanner methodsFor: 'error handling' stamp: 'nice 4/2/2010 19:36'!
ambiguousSelector: aString inRange: anInterval
	"Compile with backward compatibility: $- is part of literal argument.."
	
	token := token asSymbol.
	^self! !

