"Change Set:		9920MonticelloConfigurations-ar.75

MonticelloConfigurations-ar.75:
Release preps: Make the default update URL a preference so that we can change it easily.

"!
Object subclass: #MCMcmUpdater
	instanceVariableNames: ''
	classVariableNames: 'DefaultUpdateURL LastUpdateMap'
	poolDictionaries: ''
	category: 'MonticelloConfigurations'!

!MCMcmUpdater class methodsFor: 'updating' stamp: 'ar 4/9/2010 20:40'!
defaultUpdateURL: aString
	"The default update repository URL"

	DefaultUpdateURL := aString! !

!MCMcmUpdater class methodsFor: 'updating' stamp: 'ar 4/9/2010 20:41'!
updateFromDefaultRepository
	"Update from the default repository only"
	^self updateFromRepositories: {self defaultUpdateURL}! !

!MCMcmUpdater class methodsFor: 'class initialization' stamp: 'ar 4/9/2010 20:41'!
initialize
	"MCMcmUpdater initialize"
	LastUpdateMap ifNil:[
		LastUpdateMap := Dictionary new.
	].
	DefaultUpdateURL ifNil:[
		DefaultUpdateURL := 'http://source.squeak.org/trunk'.
	].! !

!MCMcmUpdater class methodsFor: 'updating' stamp: 'ar 4/9/2010 20:41'!
defaultUpdateURL
	"The default update repository URL"

	<preference: 'Update URL'
		category: 'Monticello'
		description: 'The repository URL for loading updates'
		type: #String>

	^DefaultUpdateURL ifNil:['']! !

MCMcmUpdater initialize!
